import java.io.*;
import com.hp.hpl.jena.rdf.model.*;
import com.hp.hpl.jena.vocabulary.*;

public class RDFIterator extends Object {
      public static void main (String args[]) {
	  String personURI    = "http://amitkumar";
      String givenName    = "Amit";
      String familyName   = "Kumar";
      String fullName     = givenName + " " + familyName;
      Model model = ModelFactory.createDefaultModel();
      Resource node = model.createResource(personURI)
                 .addProperty(VCARD.FN, fullName)
                 .addProperty(VCARD.N, 
                              model.createResource()
                                   .addProperty(VCARD.Given, givenName)
                                       .addProperty(VCARD.Family, familyName));
      StmtIterator iter = model.listStatements();
      while (iter.hasNext()) {
            Statement stmt      = iter.nextStatement();         // get next statement
            Resource  subject   = stmt.getSubject();			// get the subject
            Property  predicate = stmt.getPredicate();			// get the predicate
            RDFNode   object    = stmt.getObject();				// get the object
            System.out.print(subject.toString());
            System.out.print(" " + predicate.toString() + " ");
            if (object instanceof Resource) {
                System.out.print(object.toString());
            } else {
                System.out.print(" \"" + object.toString() + "\"");
            }
            System.out.println(" .");
        }
	  }
}